Public Class 考勤明細表_編輯
    Private Sub 考勤明細表_刪除_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        時間_dtp.Value = PA4
        姓名_tb.Text = PA5
        ID_lb.Text = PA3
        ID1_lb.Text = PA7
    End Sub
    Private Sub 修改該筆資料_bt_Click(sender As Object, e As EventArgs) Handles 修改該筆資料_bt.Click
        If ID_lb.Text = "" Then
            MsgBox("該考勤位置沒有資料可以修改!!")
        Else
            PA4 = ID_lb.Text : PA3 = 時間_dtp.Text : SQL_時間修改() : MsgBox("修改成功!") : 考勤明細表.R_bt.PerformClick()
        End If
    End Sub
    Private Sub 刪除該筆資料_bt_Click(sender As Object, e As EventArgs) Handles 刪除該筆資料_bt.Click
        If ID_lb.Text = "" Then
            MsgBox("該考勤位置沒有資料可以刪除!!")
        Else
            PA4 = ID_lb.Text : PA3 = 時間_dtp.Text : SQL_時間刪除() : MsgBox("刪除成功!") : 考勤明細表.R_bt.PerformClick()
        End If
    End Sub
    Private Sub 新增資料_bt_Click(sender As Object, e As EventArgs) Handles 新增資料_bt.Click
        PA4 = ID1_lb.Text : PA3 = 時間_dtp.Text : SQL_時間新增() : MsgBox("新增成功!") : 考勤明細表.R_bt.PerformClick()
    End Sub
End Class